Index: branches/locker-dev/locker/deploy/bin/onathena
===================================================================
--- branches/locker-dev/locker/deploy/bin/onathena	(revision 1566)
+++ branches/locker-dev/locker/deploy/bin/onathena	(revision 1567)
@@ -62,35 +62,41 @@
 echo
 echo "Please report problems with this installer to $aicontact."
-echo
-echo "Are you performing this install for:"
-echo "1. Your personal Athena account"
-echo "2. A locker that you control (a club, a course, etc)"
-echo "If you do not understand this question, you should answer '1'."
-printf "Please enter either '1' or '2' (without quotes): "
-read whofor
-if [ "$whofor" = 1 ]; then
-    lname="${ATHENA_USER:-$USER}"
-elif [ "$whofor" = 2 ]; then
-    echo
-    echo "OK.  $sname will be installed into a locker of your choice that"
-    echo "you control.  Please enter the name of the selected locker below."
-    echo "(For the locker /mit/lsc -- which has a full path of"
-    echo "/afs/athena.mit.edu/activity/l/lsc -- you would simply enter lsc)."
-    printf "Locker name: "
-    read lname
+
+if [ -n "$SCRIPTS_INSTALL_LOCKER" ]; then
+    lname=$SCRIPTS_INSTALL_LOCKER
 else
     echo
-    echo "ERROR:"
-    echo "You must select either '1' or '2'."
-    exit 1
-fi
-while true; do
-    if attach "$lname"; then
-        break
-    fi
-    echo "$lname is not a valid locker name."
-    printf "Locker name: "
-    read lname
-done
+    echo "Are you performing this install for:"
+    echo "1. Your personal Athena account"
+    echo "2. A locker that you control (a club, a course, etc)"
+    echo "If you do not understand this question, you should answer '1'."
+    printf "Please enter either '1' or '2' (without quotes): "
+    read whofor
+    if [ "$whofor" = 1 ]; then
+        lname="${ATHENA_USER:-$USER}"
+    elif [ "$whofor" = 2 ]; then
+        echo
+        echo "OK.  $sname will be installed into a locker of your choice that"
+        echo "you control.  Please enter the name of the selected locker below."
+        echo "(For the locker /mit/lsc -- which has a full path of"
+        echo "/afs/athena.mit.edu/activity/l/lsc -- you would simply enter lsc)."
+        printf "Locker name: "
+        read lname
+    else
+        echo
+        echo "ERROR:"
+        echo "You must select either '1' or '2'."
+        exit 1
+    fi
+    while true; do
+        if attach "$lname"; then
+            break
+        fi
+        echo "$lname is not a valid locker name."
+        printf "Locker name: "
+        read lname
+    done
+    unset whofor
+fi
 lroot="/mit/$lname" 
 
